public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/distlib/
Date: Tue, 12 Dec 2023 16:50:51 +0000 (UTC)	[thread overview]
Message-ID: <1702399847.abeff476038f23417e1733269a98d43959b5b1c4.mgorny@gentoo> (raw)

commit:     abeff476038f23417e1733269a98d43959b5b1c4
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 12 16:30:13 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Dec 12 16:50:47 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=abeff476

dev-python/distlib: Bump to 0.3.8

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/distlib/Manifest             |  1 +
 dev-python/distlib/distlib-0.3.8.ebuild | 56 +++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-python/distlib/Manifest b/dev-python/distlib/Manifest
index 935acdf8925a..977883d8a667 100644
--- a/dev-python/distlib/Manifest
+++ b/dev-python/distlib/Manifest
@@ -1 +1,2 @@
 DIST distlib-0.3.7.gh.tar.gz 1240451 BLAKE2B 2050133ae1f57a2b37013e0e49a22903a816377d111e6a35c57084e2dd7877b41e9625e3cccbc9e67c35239814b835b064f94eec8bcd41dedd7d329f9d5be2ec SHA512 33806fd953c4b185eaa69c7d0f0cdad9ea71be73d26f0585cefd4a332edbcc3c6287b3bce024858d5d15626311f2567474b19b6366f80b2336d9b39691c6fe31
+DIST distlib-0.3.8.gh.tar.gz 1240659 BLAKE2B 5d14440bd6886a37e80323ea35370f306135f5b15544180b072ed42c6e7b00799dc4b5fe207adb31eee7234d4f291420bd289b5430bbf38ff0468b29af2ca621 SHA512 98dc6459f54783598aad8ee3b8d80c0092a5d08d4272ad212faeef5e30cf9029b718231681f39d26e48588bb676bae7919f1431ddb51eb3917725f99a5c90457

diff --git a/dev-python/distlib/distlib-0.3.8.ebuild b/dev-python/distlib/distlib-0.3.8.ebuild
new file mode 100644
index 000000000000..a7b5c75a3927
--- /dev/null
+++ b/dev-python/distlib/distlib-0.3.8.ebuild
@@ -0,0 +1,56 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level components of distutils2/packaging"
+HOMEPAGE="
+	https://pypi.org/project/distlib/
+	https://github.com/pypa/distlib
+"
+SRC_URI="
+	https://github.com/pypa/distlib/archive/${PV}.tar.gz -> ${P}.gh.tar.gz
+"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# pypiserver is called as external executable
+BDEPEND="
+	test? (
+		dev-python/pypiserver
+	)
+"
+
+src_prepare() {
+	local PATCHES=(
+		# use system pypiserver instead of bundled one
+		"${FILESDIR}"/distlib-0.3.2-system-pypiserver.py
+	)
+
+	# make sure it's not used
+	rm tests/pypi-server-standalone.py || die
+
+	distutils-r1_src_prepare
+}
+
+python_test() {
+	local -x SKIP_ONLINE=1
+	local -x PYTHONHASHSEED=0
+
+	# disable system-site-packages -- distlib has no deps, and is very
+	# fragile to packages actually installed on the system
+	sed -i -e '/system-site-packages/s:true:false:' \
+		"${BUILD_DIR}/install${EPREFIX}/usr/bin/pyvenv.cfg" || die
+
+	"${EPYTHON}" tests/test_all.py -v -x ||
+		die "Tests failed with ${EPYTHON}"
+}


             reply	other threads:[~2023-12-12 16:50 UTC|newest]

Thread overview: 77+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-12-12 16:50 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-15 11:30 [gentoo-commits] repo/gentoo:master commit in: dev-python/distlib/ Michał Górny
2024-10-26 12:48 Arthur Zamarin
2024-05-09 17:08 Michał Górny
2023-12-30 14:07 Arthur Zamarin
2023-08-19 15:56 Arthur Zamarin
2023-05-24 12:20 Michał Górny
2022-09-25 18:04 Arthur Zamarin
2022-09-25 18:03 Arthur Zamarin
2022-08-26 16:01 Arthur Zamarin
2022-08-17 19:34 Arthur Zamarin
2022-08-17 18:48 Sam James
2022-07-14 18:34 Arthur Zamarin
2022-07-14 18:34 Arthur Zamarin
2022-07-14 18:34 Arthur Zamarin
2022-06-12 11:55 Sam James
2022-05-12  7:13 Michał Górny
2022-05-11 16:43 Michał Górny
2022-05-11 16:43 Michał Górny
2022-03-15 14:05 Michał Górny
2022-03-15 11:27 Jakov Smolić
2022-03-15  9:22 Michał Górny
2022-01-29 12:54 Michał Górny
2022-01-08 18:03 Jakov Smolić
2022-01-08 18:03 Jakov Smolić
2022-01-08 14:03 Arthur Zamarin
2022-01-08 13:39 Arthur Zamarin
2022-01-08 13:39 Arthur Zamarin
2022-01-08 13:37 Arthur Zamarin
2022-01-08 13:33 Arthur Zamarin
2022-01-08 13:33 Arthur Zamarin
2021-12-08 21:58 Michał Górny
2021-09-21 22:29 James Le Cuirot
2021-07-08  3:53 Sam James
2021-07-07 14:22 Sergei Trofimovich
2021-07-06  1:48 Sam James
2021-07-03  6:25 Agostino Sarubbo
2021-07-03  6:24 Agostino Sarubbo
2021-07-03  6:22 Agostino Sarubbo
2021-07-03  6:20 Agostino Sarubbo
2021-07-03  6:17 Agostino Sarubbo
2021-05-29 18:11 Michał Górny
2021-02-22  4:10 Joshua Kinard
2020-12-13  0:16 Sam James
2020-11-28 13:41 Sam James
2020-11-18  9:07 Sam James
2020-11-18  9:01 Sam James
2020-11-17 19:10 Agostino Sarubbo
2020-11-17 18:50 Agostino Sarubbo
2020-11-14 22:55 Michał Górny
2020-11-04  6:22 Sam James
2020-11-03 22:47 Sergei Trofimovich
2020-11-03 13:08 Sam James
2020-09-20 14:08 Michał Górny
2020-06-10  1:52 Matt Turner
2020-06-05 16:10 Sergei Trofimovich
2020-06-04 19:54 Michał Górny
2020-06-03 21:16 Sergei Trofimovich
2020-06-01 20:30 Michał Górny
2020-05-30 19:48 Michał Górny
2020-05-30 19:37 Sergei Trofimovich
2020-05-30  8:56 Michał Górny
2020-05-26 12:58 Michał Górny
2020-05-06  6:41 Sergei Trofimovich
2020-04-18 15:33 Michał Górny
2017-04-16  1:23 Manuel Rüger
2017-02-10 19:53 Zac Medico
2016-04-02 23:15 Mike Frysinger
2016-02-01 16:30 Justin Lecher
2015-11-23  6:44 Jeroen Roovers
2015-11-22  8:20 Markus Meier
2015-10-10 18:49 Mikle Kolyada
2015-09-29 20:49 Markus Meier
2015-09-22 17:36 Tobias Klausmann
2015-09-08  8:16 Joshua Kinard
2015-09-06  5:20 Jeroen Roovers
2015-08-24 10:12 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1702399847.abeff476038f23417e1733269a98d43959b5b1c4.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox